site_name: Документация тестов eNODE-Мониторинг
theme:
  name: material

plugins:
  - search
  - mkdocstrings:
      default_handler: python
      handlers:
        python:
          paths: [".", "pages"]
          options:
            show_source: true

nav:
  - Главная: index.md
  - Данные и конфигурации:
    - Constants: data/constants.md
    - Environment: data/environment.md
    - Roles_dict: data/roles_dict.md
  - Фикстуры Pytest:
    - Browser Fixtures: fixtures/pages.md
  - Компоненты UI:
    - AlertComponent: components/alert_component.md
    - BaseComponent: components/base_component.md
    - CardComponent: components/card_component.md
    - ConfirmComponent: components/confirm_component.md
    - ModalWindowComponent: components/modal_window_component.md
    - NavigationPanelComponent: components/navbar_component.md
    - TableComponent: components/table_component.md
    - ToolbarComponent: components/toolbar_component.md
  - Элементы UI:
    - BaseElement: elements/base_element.md
    - Button: elements/button_element.md
    - Checkbox: elements/checkbox_element.md
    - DropdownList: elements/dropdown_list_element.md
    - Text: elements/text_element.md
    - TextInput: elements/text_input_element.md
    - ToolbarButton: elements/tooltip_button_element.md
  - Локаторы:
    - ConfirmLocators: locators/confirm_locators.md
    - EventPanelLocators: locators/event_panel_locators.md
    - ModalWindowLocators: locators/modal_window_locators.md
    - NavigationPanelLocators: locators/navigation_panel_locators.md
    - TableLocators: locators/table_locators.md
    - ToolbarLocators: locators/toolbar_locators.md
  #- Модальные окна:
    #- AddUserModalWindow: modal_windows/modal_add_user.md
    #- EditUserModalWindow: modal_windows/modal_edit_user.md
  - Страницы приложения:
    - BasePage: pages/base_page.md
    - LoginPage: pages/login_page.md
    - MainPage: pages/main_page.md
    - ServiceStatusTab: pages/service_status_tab.md
    - SessionTab: pages/session_tab.md
    - UsersTab: pages/users_tab.md
  - Тесты:
    - End-to-End:
      - TestLicenseTab: tests/e2e/test_license_tab.md
      - TestLogin: tests/e2e/test_login.md
      - TestSessionTab: tests/e2e/test_sessions_tab.md
      - TestUsersTab: tests/e2e/test_users_tab.md
      - TestServiceStatusTab: tests/e2e/test_service_status_tab.md
    - Компоненты:
      - TestJsonContainer: tests/components/test_json_container.md
      - TestNavigationPanel: tests/components/test_navigation_panel.md
      - TestServiceStatusTable: tests/components/test_services_table.md
      - TestUsersModalWindow: tests/components/test_user_modal_window.md
  - Утилиты:
    - Logging: tools/logger.md
    - Python Project Fixer: tools/fix_python_project.md
  - Инструкции:
    - Документация проекта MkDocs: config/mkdocs_guide.md
    - Требования при добавлении docstring: config/add_docstring.md
    - Процесс разработки кода: config/code_development_process.md